Bug 206836 - Review Request: python-turbojson - Python template plugin that supports json
Review Request: python-turbojson - Python template plugin that supports json
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Toshio Kuratomi
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT 189338
  Show dependency treegraph
 
Reported: 2006-09-17 01:21 EDT by Luke Macken
Modified: 2016-09-19 22:37 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-06 02:14:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Luke Macken 2006-09-17 01:21:25 EDT
Spec URL: http://people.redhat.com/lmacken/SPECS/TurboJson.spec
SRPM URL: http://people.redhat.com/lmacken/RPMS/TurboJson-0.9.9-1.src.rpm
Description:
This package provides a template engine plugin, allowing you
to easily use Json with TurboGears, Buffet or other systems
that support python.templating.engines.
Comment 1 Stewart Adam 2006-09-21 18:01:36 EDT
I'm not a reviewer, but can help you out:
I can't seem to build your source RPM, I am getting:

File not found by glob:
/var/tmp/TurboJson-0.9.9-1-root-admin/usr/lib/python2.4/site-packages/turbojson/tests/*.py*

If I list files in [buildroot]/usr/lib/python2.4/site-packages/turbojson/ I only
see files. Maybe there is an error in the spec?

But, on a good note, your rpmlint check is clean.
Comment 3 Luke Macken 2006-09-26 21:06:45 EDT
* Mon Sep 25 2006 Luke Macken <lmacken@redhat.com> 0.9.9-1
- 0.9.9
- Rename to python-turbojson
- Own the %%{python_sitelib/turbojson directory
- Install the EGG-INFO
Comment 4 Stewart Adam 2006-09-26 21:54:36 EDT
'+' are the good things, '-' are the bad that need fixing:

+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written and uses macros consistently.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
- You don't have the COPYING / LICENSE files in your package or in %doc, I'm
pretty sure you need to include those.
- source files match do not upstream: You can no longer download 0.9.9, they're
released 1.0 beta.
- latest version is not being packaged (see above)
+ BuildRequires are proper.
+ rpmlint is silent.
+ owns the directories it creates.
+ doesn't own any directories it shouldn't.
+ no duplicates in %files.
+ file permissions are appropriate.
+ %clean is present.
+ no scriptlets present.
+ code, not content.
Comment 5 Toshio Kuratomi 2006-09-28 03:14:50 EDT
(In reply to comment #4)

> - You don't have the COPYING / LICENSE files in your package or in %doc, I'm
> pretty sure you need to include those.
The Packaging Guidelines say that COPYING/LICENSE must be included if it's in
the upstream package.  Otherwise it should not be.  (But you should ask upstream
to provide one.)

> - source files match do not upstream: You can no longer download 0.9.9, they're
> released 1.0 beta.
> - latest version is not being packaged (see above)

Could you provide a link to that?  I just took a look at the turbogears site and
was unable to find a TurboJSON 1.0beta.
Comment 6 Stewart Adam 2006-09-28 08:15:42 EDT
If you look at the Source0 line:
http://www.turbogears.org/preview/download/TurboJson-%{version}-py2.4.egg
%{version} is defined as 0.9.9, so:
http://www.turbogears.org/preview/download/TurboJson-0.9.9-py2.4.egg
If I type that in I get redirected here:
http://www.turbogears.org/previewdone.html
Comment 7 Luke Macken 2006-09-30 02:57:11 EDT
(In reply to comment #4)
> - source files match do not upstream: You can no longer download 0.9.9, they're
> released 1.0 beta.
> - latest version is not being packaged (see above)

1.0b is the current TurboGears release; it looks like TurboJson is still at
0.9.9 as far as I can tell.
Comment 8 Toshio Kuratomi 2006-10-05 00:09:02 EDT
MD5Sums:
d8053e4b4e7920305bb6a96bfba23164  TurboJson-0.9.9-py2.4.egg
4d1d6e3bb323f2c01b374451606be7ae  python-turbojson.spec
71365a47c5c7ee71f3e3fcb93a2060bb  ../python-turbojson-0.9.9-1.src.rpm

Blockers:
* Upstream seems to have changed the download URL to:
  http://files.turbogears.org/eggs/TurboJson-0.9.9-py2.4.egg

Good:
* Package named according to the naming guidelines.
* Spec file name matches the package name.
* Package licensed under a MIT style license.
* The spec file is legible, American English.
* Source matches upstream.
* Package compiles and builds as noarch on an x86_64.
* All BuildRequires are satisfied.
* No locales.
* No shared libraries, static libraries, headers, or pkgconfig files.
* Not relocatable.
* Package owns all files and directories it creates.
* No duplicate files.
* Permissions properly set.
* Proper %clean section.
* Macros are properly used.
* No large docs.  Docs do not affect runtime.
* No GUI application.
* Does not own directories already owned.
* Builds in mock.
* Runs with a TurboGears-1.0-0.1.b1 created here and the python-turbokid
  submitted earlier.

rpmlint says:
  W: python-turbojson no-documentation
which can't be helped as upstream isn't providing any documentation yet.

This is APPROVED as long as you fix the Source URL when you import it.
Comment 9 Luke Macken 2006-10-06 02:14:31 EDT
Updated the source, imported into CVS, added to owners.list, request FC-5
branch, tagged and built for devel.  Thanks!
Comment 10 Kevin Fenzi 2006-12-21 22:12:21 EST
Changing the summary for tracking purposes. 
Comment 11 Dan Callaghan 2014-07-14 21:18:19 EDT
Please un-retire the epel7 branch.

Package Change Request
======================
Package Name: python-turbojson
New Branches: epel7
Owners: dcallagh
Comment 12 Gwyn Ciesla 2014-07-15 08:28:12 EDT
Complete.

Note You need to log in before you can comment on or make changes to this bug.